import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-angular-core/ES2015/type";
import { DependencyProperty } from "igniteui-angular-core/ES2015/DependencyProperty";
/**
 * @hidden
 */
export declare class FullStochasticOscillatorIndicator extends StrategyBasedIndicator {
    static $t: Type;
    constructor();
    protected get_p4(): IndicatorCalculationStrategy;
    protected readonly p4: IndicatorCalculationStrategy;
    protected get_qh(): Type;
    protected readonly qh: Type;
    qp: number;
    static readonly qu: DependencyProperty;
    protected qa(): number;
    qj(a: number): void;
    smoothingPeriod: number;
    static readonly qv: DependencyProperty;
    protected qc(): number;
    qr: number;
    static readonly qw: DependencyProperty;
    protected p9(): number;
    protected pk(): number;
}
